util.ui

## Class DontShowAgainMessageBox

- java.lang.Object
- - util.ui.DontShowAgainMessageBox

-     public class DontShowAgainMessageBox
      extends java.lang.Object

  This class offers a messagebox that shows a dialog with a checkbox to disable the dialog
  Since:
    2.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dontShowAgainMessageBox(Plugin plugin, java.lang.String messageBoxId, java.awt.Component parentComponent, java.lang.String message)` Shows a messagebox with a checkbox that enables the user to hide the dialog.
    `static void` | `dontShowAgainMessageBox(Plugin plugin, java.lang.String messageBoxId, java.awt.Component parentComponent, java.lang.String message, java.lang.String title)` Shows a messagebox with a checkbox that enables the user to hide the dialog.
    `static void` | `dontShowAgainMessageBox(Plugin plugin, java.lang.String messageBoxId, java.awt.Component parent, java.lang.String message, java.lang.String title, int messageType)` Shows a messagebox with a checkbox that enables the user to hide the dialog.
    `static boolean` | `isMessageBoxIdSet(Plugin plugin, java.lang.String messageBoxId)`
    `static void` | `setMessageBoxId(Plugin plugin, java.lang.String messageBoxId, boolean value)` Set the value for the messageBoxId.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### dontShowAgainMessageBox

          public static void dontShowAgainMessageBox(Plugin plugin,
                                     java.lang.String messageBoxId,
                                     java.awt.Component parent,
                                     java.lang.String message,
                                     java.lang.String title,
                                     int messageType)

      Shows a messagebox with a checkbox that enables the user to hide the dialog. If the user sets the checkbox, this function will never show the dialog again. You can simply call this method and don't have to deal with the fact if the dialog has to be shown or not
      Parameters:
        `plugin` - Plugin that wants to show a messagebox
        `messageBoxId` - the unique id for the messagebox
        `parent` - parent frame for the messagebox
        `message` - message for the box
        `title` - title for the box
        `messageType` - MessageType, values are {#javax.swing.JOptionPane.ERROR_MESSAGE}, {#javax.swing.JOptionPane.INFORMATION_MESSAGE}, {#javax.swing.JOptionPane.WARNING_MESSAGE}
      Since:
        2.7

    - #### dontShowAgainMessageBox

          public static void dontShowAgainMessageBox(Plugin plugin,
                                     java.lang.String messageBoxId,
                                     java.awt.Component parentComponent,
                                     java.lang.String message,
                                     java.lang.String title)

      Shows a messagebox with a checkbox that enables the user to hide the dialog. If the user sets the checkbox, this function will never show the dialog again. You can simply call this method and don't have to deal with the fact if the dialog has to be shown or not
      Parameters:
        `plugin` - Plugin that wants to show a messagebox
        `messageBoxId` - the unique id for the messagebox
        `parentComponent` - parent frame for the messagebox
        `message` - message for the box
        `title` - title for the box
      Since:
        2.7

    - #### dontShowAgainMessageBox

          public static void dontShowAgainMessageBox(Plugin plugin,
                                     java.lang.String messageBoxId,
                                     java.awt.Component parentComponent,
                                     java.lang.String message)

      Shows a messagebox with a checkbox that enables the user to hide the dialog. If the user sets the checkbox, this function will never show the dialog again. You can simply call this method and don't have to deal with the fact if the dialog has to be shown or not
      Parameters:
        `plugin` - Plugin that wants to show a messagebox
        `messageBoxId` - the unique id for the messagebox
        `parentComponent` - parent frame for the messagebox
        `message` - message for the box
      Since:
        2.7

    - #### isMessageBoxIdSet

          public static boolean isMessageBoxIdSet(Plugin plugin,
                                  java.lang.String messageBoxId)

      Parameters:
        `plugin` - plugin that uses the messagebox
        `messageBoxId` - check this messageBoxId
      Returns:
        true, if the messageboxid is set and no dialog will be shown if {#dontShowAgainMessageBox} is called
      Since:
        2.7

    - #### setMessageBoxId

          public static void setMessageBoxId(Plugin plugin,
                             java.lang.String messageBoxId,
                             boolean value)

      Set the value for the messageBoxId. This manipulates if a dialog will be shown if {#dontShowAgainMessageBox} is called
      Parameters:
        `plugin` - plugin that uses the messagebox
        `messageBoxId` - check this messageBoxId
        `value` - new value, `true` to disable the dialog, `false`, to enable the dialog
      Since:
        2.7

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)